package com.qianhe.zqbf.mapper;

import com.qianhe.zqbf.domain.ZqbfXmzBfxq;
import com.qianhe.zqbf.domain.ZqbfXmzBfxqQuery;
import com.qianhe.zqbf.domain.ZqbfXmzBfxqVo;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface ZqbfXmzBfxqMapper {
    /**
     * 条件查询
     */
    List<ZqbfXmzBfxqVo> list(ZqbfXmzBfxqQuery zqbfXmzBfxqQuery);

    /**
     * 查询详情
     */
    ZqbfXmzBfxqVo info(Long id);

    /**
     * 新增
     */
    Long add(ZqbfXmzBfxq zqbfXmzBfxq);

    /**
     * 修改
     */
    int edit(ZqbfXmzBfxq zqbfXmzBfxq);

    /**
     * 删除
     */
    int delete(Long[] ids);
}
